//
// Tizen Native SDK
// Copyright (c) 2012-2013 Samsung Electronics Co., Ltd.
//
// Licensed under the Flora License, Version 1.1 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://floralicense.org/license/
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an AS IS BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

#ifndef _WRITE_FORM_H_
#define _WRITE_FORM_H_

#include <FBase.h>
#include <FUi.h>

class WriteForm
	: public Tizen::Ui::Controls::Form
	, public Tizen::Ui::Controls::IFormBackEventListener
	, public Tizen::Ui::IActionEventListener
{

public:
	WriteForm(void);
	virtual ~WriteForm(void);

	bool Initialize(void);
	virtual result OnInitializing(void);
	virtual result OnTerminating(void);
	virtual void OnActionPerformed(const Control& source, int actionId);
	virtual void OnFormBackRequested(Tizen::Ui::Controls::Form& source);
	Tizen::Net::Nfc::NdefMessage* MakeTextRecordN(Tizen::Base::String data);

protected:
	static const int ID_WRITE = 501;

private:
	Tizen::Ui::Controls::EditArea* __pPayloadField;
};

#endif
